package com.qs.mp.channel.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * @describe 渠道佣金记录实体类
 * @auther quanshu
 * @create 2022-02-28 22:54:23
 */
@TableName("mp_channel_commission")
@Data
public class ChannelCommission implements Serializable {

  private static final long serialVersionUID = 1L;

  /**
   * 主键
   */
  @TableId(value = "ID" , type = IdType.AUTO)
  private Long id;

  /**
   * 渠道ID
   */
  @TableField("CHANNEL_ID")
  private Long channelId;

  /**
   * 渠道编号
   */
  @TableField("CHANNEL_NO")
  private String channelNo;

  /**
   * 用户订单ID
   */
  @TableField("ORDER_ID")
  private String orderId;

  /**
   * 盲票ID
   */
  @TableField("TICKET_ID")
  private String ticketId;

  /**
   * 销售金额
   */
  @TableField("SALE_PRICE")
  private Integer salePrice;

  /**
   * 参与分佣的销售金额比例
   */
  @TableField("SALE_COMM_RATE")
  private Integer saleCommRate;

  /**
   * 参与分佣的销售金额
   */
  @TableField("SALE_COMM_AMT")
  private Integer saleCommAmt;

  /**
   * 佣金比例
   */
  @TableField("COMM_RATE")
  private BigDecimal commRate;

  /**
   * 佣金金额
   */
  @TableField("COMM_AMT")
  private Integer commAmt;

  /**
   * 创建时间
   */
  @TableField("CREATED_TIME")
  private Date createdTime;

  /**
   * 更新时间
   */
  @TableField("UPDATED_TIME")
  private Date updatedTime;


}