package com.qs.mp.channel.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * @describe 经销商盲票采购订单实体类
 * @auther quanshu
 * @create 2022-02-28 22:54:23
 */
@TableName("mp_channel_order")
@Data
public class ChannelOrder implements Serializable {

  private static final long serialVersionUID = 1L;

  /**
   * 主键
   */
  @TableId(value = "ORDER_ID" , type = IdType.INPUT)
  private String orderId;

  /**
   * 渠道ID
   */
  @TableField("CHANNEL_ID")
  private Long channelId;

  /**
   * 订单金额
   */
  @TableField("ORDER_AMT")
  private Integer orderAmt;

  /**
   * 实付金额
   */
  @TableField("PAY_AMT")
  private Integer payAmt;

  /**
   * 订单状态
   */
  @TableField("STATUS")
  private String status;

  /**
   * 收货人
   */
  @TableField("RECEIVE_NAME")
  private String receiveName;

  /**
   * 收货人电话
   */
  @TableField("RECEIVE_TEL")
  private String receiveTel;

  /**
   * 收货地址-省
   */
  @TableField("RECEIVE_PROVINCE")
  private String receiveProvince;

  /**
   * 收货地址-市
   */
  @TableField("RECEIVE_CITY")
  private String receiveCity;

  /**
   * 收货地址-区
   */
  @TableField("RECEIVE_AREA")
  private String receiveArea;

  /**
   * 收货地址-详细
   */
  @TableField("RECEIVE_ADDR")
  private String receiveAddr;

  /**
   * 快递单号
   */
  @TableField("LOGISTICS_NO")
  private String logisticsNo;

  /**
   * 快递品牌
   */
  @TableField("LOGISTICS_BRAND")
  private String logisticsBrand;

  /**
   * 创建时间
   */
  @TableField("CREATED_TIME")
  private Date createdTime;

  /**
   * 更新时间
   */
  @TableField("UPDATED_TIME")
  private Date updatedTime;


}