package com.qs.mp.manager.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * @describe 盲票盒奖项设置实体类
 * @auther quanshu
 * @create 2022-02-28 22:58:02
 */
@TableName("mp_box_awards")
@Data
public class BoxAwards implements Serializable {

  private static final long serialVersionUID = 1L;

  /**
   * 主键
   */
  @TableId(value = "AWARDS_ID" , type = IdType.INPUT)
  private String awardsId;

  /**
   * 盲票组ID
   */
  @TableField("BOX_ID")
  private String boxId;

  /**
   * 奖项名
   */
  @TableField("NAME")
  private String name;

  /**
   * 奖项顺序
   */
  @TableField("SORT")
  private String sort;

  /**
   * 奖项数量
   */
  @TableField("QUANTITY")
  private Integer quantity;

  /**
   * 奖项描述
   */
  @TableField("MEMO")
  private String memo;

  /**
   * 已兑奖数量
   */
  @TableField("CASHED_QTY")
  private Integer cashedQty;

  /**
   * 创建时间
   */
  @TableField("CREATED_TIME")
  private Date createdTime;

  /**
   * 更新时间
   */
  @TableField("UPDATED_TIME")
  private Date updatedTime;


}