package com.qs.mp.manager.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * @describe 盲票盒奖项对应的奖品设置实体类
 * @auther quanshu
 * @create 2022-02-28 22:58:02
 */
@TableName("mp_box_awards_prize")
@Data
public class BoxAwardsPrize implements Serializable {

  private static final long serialVersionUID = 1L;

  /**
   * 主键
   */
  @TableId(value = "ID" , type = IdType.AUTO)
  private Long id;

  /**
   * 奖项ID
   */
  @TableField("AWARDS_ID")
  private String awardsId;

  /**
   * 奖品ID（GOODS_ID或TEMPL_ID)
   */
  @TableField("PRIZE_ID")
  private String prizeId;

  /**
   * 奖品类型（GOODS或VOUCHER或COIN）
   */
  @TableField("PRIZE_TYPE")
  private String prizeType;

  /**
   * 奖品数
   */
  @TableField("QUANTITY")
  private Integer quantity;

  /**
   * 已兑奖品数
   */
  @TableField("CASHED_QTY")
  private Integer cashedQty;

  /**
   * 创建时间
   */
  @TableField("CREATED_TIME")
  private Date createdTime;

  /**
   * 更新时间
   */
  @TableField("UPDATED_TIME")
  private Date updatedTime;


}